//WW''''WW'''''''WW''''''''''''WW''''''WWW''''''''''WWW''''''''''''''''''
//WWW  WWW       WW                     WW           WW                  
//W WWW WW  WWW WWWW  WW  W WW WW  WWW  WW      WWW  WW   WWW  WWWW  WWWW
//W  W  WW W WW  WW  WWWW WW   WW W WW  WW     WW W  WW  W WW WWW   WWW  
//W     WW W WW  WW  WW   WW   WW W WW  WW     WW    WW  W WW   WWW   WWW
//W     WW  WWW  WW   WWW WW   WW  WWW WWWW     WWW WWWW  WWW WWWW  WWWW 
//                                                                       
//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

#include "Material.h"

Material::Material(){
  g = s = d = 0.0;

  ambientColor.setValue(0.2, 0.2, 0.2);
  specularColor.setValue(0, 0, 0);
  emissiveColor.setValue(0, 0, 0);

  shininess1 = 0.0;
  shininess1 = 0.0;
  transparency = 0;
//  matPtr = NULL;
}

Material::Material(SoMaterial *mat){
  g = s = d = 0.0;
  ambientColor = mat->ambientColor[0];
  specularColor = mat->specularColor[0];
  emissiveColor = mat->emissiveColor[0];
  shininess1 = 0;
  shininess2 = mat->shininess[0];
  transparency = mat->transparency[0];
//  matPtr = mat;
}
