//WW''''WW'''''''WW''''''''''''WW''''''WWW''''''''''WWW''''''''''''''''''
//WWW  WWW       WW                     WW           WW                  
//W WWW WW  WWW WWWW  WW  W WW WW  WWW  WW      WWW  WW   WWW  WWWW  WWWW
//W  W  WW W WW  WW  WWWW WW   WW W WW  WW     WW W  WW  W WW WWW   WWW  
//W     WW W WW  WW  WW   WW   WW W WW  WW     WW    WW  W WW   WWW   WWW
//W     WW  WWW  WW   WWW WW   WW  WWW WWWW     WWW WWWW  WWW WWWW  WWWW 
//                                                                       
//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

#ifndef MATERIALCLASS
#define MATERIALCLASS

#include "Main.h"
#include "MatPlus.h"

class Material : public MatPlus {
  
  private:

  
  
  public:
  
  float g, s, d;           // internal (private, automatically calculated)
  
  SbColor ambientColor;
  SbColor specularColor;
  SbColor emissiveColor;
  
  float shininess1, shininess2;
  float transparency;

//  SoMaterial *matPtr;   // for locating actual material node

  Material();
  Material(SoMaterial *mat);
  
};

#endif /* MATERIALCLASS */

